Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

WTB: P2 with Pre-1.5 FW

Discussion in 'Classifieds' started by Carabiner, Jul 19, 2016.

  1. Carabiner

    Joined:
    Jul 17, 2016
    Messages:
    12
    Likes Received:
    1
    Looking to purchase a P2 with firmware PREVIOUS to 1.5, ideally 1.1.9.

    Reason is I am planning a trip to the Andes in Peru and don't want to have any restrictions on filming/pictures...
     
  2. hunch

    Joined:
    Oct 10, 2014
    Messages:
    1,500
    Likes Received:
    225
    i might have one actually.
     
  3. Carabiner

    Joined:
    Jul 17, 2016
    Messages:
    12
    Likes Received:
    1
    You "might"? Lol, how do you NOT know?

    unless you are a distributor with tons and tons of quadcopters

    Let me know ..:
     
  4. hunch

    Joined:
    Oct 10, 2014
    Messages:
    1,500
    Likes Received:
    225
    LOL,
    no, i repair them and last year i did over 600 Phantoms, majority P2/P3's and i have a few P2's laying around.
    basically it's the NAZA (flight controller) inside that holds the firmware which you are looking for. i will check later and see what i have and let you know.
     
  5. captainmilehigh

    Joined:
    Apr 4, 2016
    Messages:
    798
    Likes Received:
    372
    Location:
    Northeast Florida
    Hunch is uavdronerepair.com. The best around.


    Sent from my iPad using PhantomPilots
     
  6. Carabiner

    Joined:
    Jul 17, 2016
    Messages:
    12
    Likes Received:
    1
    oh okay! Sorry, I'm just a newbie here; don't know one guy from the next.

    Looking forward to hearing what 'hunch' has

    So far, I got one PM but it's loaded with "main controller 3.08" and gps 6.0.1.4 and "receiver phantom 2" 1.0.0.0.... Not sure what combos work to be able to have no restrictions except for the pre 1.5 on the receiver. Will this combo suit my needs?
     
    captainmilehigh likes this.
  7. hunch

    Joined:
    Oct 10, 2014
    Messages:
    1,500
    Likes Received:
    225
    uavrepairshop.com ;)
     
    captainmilehigh likes this.
  8. hunch

    Joined:
    Oct 10, 2014
    Messages:
    1,500
    Likes Received:
    225
    one thing it's confusing thou. you say you want 1.1.9 firmware which is old firmware on P3, not P2. P2 has 3.xx firmware versions.
    can you clarify please?
     
  9. Carabiner

    Joined:
    Jul 17, 2016
    Messages:
    12
    Likes Received:
    1
    My limited knowledge after spending a few hours lurking in the forums and reading "should I upgrade to 1.5000" thread which is 13 pages long, has me pretty much understanding the 1.1.9 version of P2 was rock solid stable and no limitations.
    Did I interpret it wrong?

    Edit: okay I was wrong. Wow. I spent 90 minutes reading the thread and thought it was for P2. So the P3 also has no restrictions as long as it's pre-1.5? I have to recalibrate my mind now....
     
  10. Carabiner

    Joined:
    Jul 17, 2016
    Messages:
    12
    Likes Received:
    1
    I guess ideally, I would like the latest version of a DJI drone that has ability to be non-restrictive , that being P3, but a P2 is fine too.... And of course the Pre 1.5
     
  11. captainmilehigh

    Joined:
    Apr 4, 2016
    Messages:
    798
    Likes Received:
    372
    Location:
    Northeast Florida
    Oops., sorry about that hunch.


    Sent from my iPad using PhantomPilots
     
  12. Carabiner

    Joined:
    Jul 17, 2016
    Messages:
    12
    Likes Received:
    1
    Hunch, (or anyone else), I'll take any drone that is unrestrictive. How's that?

    Whether XXX firmware for the P2 or <1.5 for the P3....
     
  13. hunch

    Joined:
    Oct 10, 2014
    Messages:
    1,500
    Likes Received:
    225
    ok, let me check all i have here.
     
    Carabiner likes this.
  14. Carabiner

    Joined:
    Jul 17, 2016
    Messages:
    12
    Likes Received:
    1